Page MenuHomePhabricator

Empty Special:Newsfeed on many wikinews
Closed, ResolvedPublic

Description

The newsfeed on nl.wikinews.org is empty: special:Newsfeed. There are no new articles displayed. It must be (similar) like the English version with all published articles.

Event Timeline

Seba98 created this task.Aug 9 2017, 11:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2017, 11:48 AM
Seba98 updated the task description. (Show Details)Aug 9 2017, 11:50 AM
Aklapper renamed this task from Empty newsfeed on nl.wikinews.org to Fix empty Special:Newsfeed on nl.wikinews.org.Aug 9 2017, 2:50 PM

@Aklapper, are you sure this is a site request? Feed is already enabled.

No I am not. :) Was just my first guess...

Mattho69 renamed this task from Fix empty Special:Newsfeed on nl.wikinews.org to Fix empty Special:Newsfeed on nl.wikinews.org and fr.wikinews.org.Aug 23 2017, 12:28 AM
Framawiki triaged this task as High priority.Aug 27 2017, 9:28 AM

Only 4 wikinews have content in Special:NewsFeed. The 29 others are empty. (script: P5925)

http://ar.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://bg.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://bs.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://ca.wikinews.org/wiki/Special:NewsFeed
bad (231)

http://cs.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://de.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://el.wikinews.org/wiki/Special:NewsFeed
good (39472)

http://en.wikinews.org/wiki/Special:NewsFeed
good (31580)

http://eo.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://es.wikinews.org/wiki/Special:NewsFeed
bad (231)

http://fa.wikinews.org/wiki/Special:NewsFeed
good (38133)

http://fi.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://fr.wikinews.org/wiki/Special:NewsFeed
bad (231)

http://he.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://hu.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://it.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://ja.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://ko.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://nl.wikinews.org/wiki/Special:NewsFeed
bad (231)

http://no.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://pl.wikinews.org/wiki/Special:NewsFeed
bad (231)

http://pt.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://ro.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://ru.wikinews.org/wiki/Special:NewsFeed
bad (231)

http://sd.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://sq.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://sr.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://sv.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://ta.wikinews.org/wiki/Special:NewsFeed
good (52560)

http://th.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://tr.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://uk.wikinews.org/wiki/Special:NewsFeed
bad (241)

http://zh.wikinews.org/wiki/Special:NewsFeed
bad (241)
Framawiki renamed this task from Fix empty Special:Newsfeed on nl.wikinews.org and fr.wikinews.org to Empty Special:Newsfeed on many wikinews.Aug 27 2017, 9:29 AM

Its probably configured wrong.

The newsfeed assumes all published articles are in a specific category. It won't work well for wikis that don't follow that.

If any of the wikinews languages need to adjust what category the extension should look for, please post and we can fix the config of the extension.

Seba98 added a comment.EditedNov 29 2017, 7:51 PM

Thanks for helping! For Dutch Wikinews: Categorie:Gepubliceerd, this is the general category with all published articles. Probably the same for the others.

So here is a raw list from wikidata item

eowikinews: Kategorio:Publikigitaj artikoloj
srwikinews: Категорија:Објављено
rowikinews: Categorie:Publicate
itwikinews: Categoria:Pubblicati
ukwikinews: Категорія:Опубліковані
elwikinews: Κατηγορία:Δημοσιευμένα
trwikinews: Kategori:Yayınlandı
arwikinews: تصنيف:نشر
nowikinews: Kategori:Publisert
dewikinews: Kategorie:Veröffentlicht
eswikinews: Categoría:Artículos publicados
frwikinews: Catégorie:Article publié
enwikinews: Category:Published
jawikinews: カテゴリ:公開中
ruwikinews: Категория:Опубликовано
fiwikinews: Luokka:Julkaistut artikkelit
zhwikinews: Category:已发布
cawikinews: Categoria:Notícies publicades
fawikinews: رده:منتشرشده
hewikinews: קטגוריה:פורסמו
kowikinews: 분류:발행됨
ptwikinews: Categoria:Publicado
nlwikinews: Categorie:Gepubliceerd

Change 399433 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[operations/mediawiki-config@master] Fill in $wgGNSMFallbackCategory based on wikidata

https://gerrit.wikimedia.org/r/399433

Change 399433 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[operations/mediawiki-config@master] Fill in $wgGNSMFallbackCategory based on wikidata
https://gerrit.wikimedia.org/r/399433

Note, that we are currently in a deployment freeze, so this cannot be deployed until Jan 2 at the very earliest.

If anyone wants to test, is what this change does is change the default for the categories parameter.

So after that change, on nlwikinews the default for categories will be "Gepubliceerd" instead of "Published", so after the change, https://nl.wikinews.org/wiki/Speciaal:Nieuwsfeed?feed=atom will behave like how https://nl.wikinews.org/wiki/Speciaal:Nieuwsfeed?categories=Gepubliceerd&feed=atom behaves currently.

Additionally, once this is deployed, if people really like the Special:Newsfeed rss feeds and want that to be default feed for the site that is shown to browsers via the <link> tag (Like it is on english wikinews and farsi wikinews) we can do that too, but please file a separate bug for that.

Change 399433 merged by jenkins-bot:
[operations/mediawiki-config@master] Fill in $wgGNSMFallbackCategory based on wikidata

https://gerrit.wikimedia.org/r/399433

Mentioned in SAL (#wikimedia-operations) [2017-12-20T17:47:27Z] <demon@tin> Synchronized wmf-config/InitialiseSettings.php: T172875 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2017-12-20T17:51:06Z] <demon@tin> Synchronized wmf-config/InitialiseSettings.php: T172875 (second try, forgot to pull first (duration: 00m 51s)

Bawolff closed this task as Resolved.Dec 20 2017, 6:00 PM
Bawolff claimed this task.

Note, that we are currently in a deployment freeze, so this cannot be deployed until Jan 2 at the very earliest.

So this was a lie. This is live now.

Framawiki reopened this task as Open.Jan 20 2018, 2:00 PM

Some wikis are still using interwikis links, not wikidata, so they was not in the previous list :( For example https://hu.wikinews.org/wiki/Kateg%C3%B3ria:Publik%C3%A1lt

Framawiki closed this task as Resolved.Jan 20 2018, 2:03 PM

Some wikis are still using interwikis links, not wikidata, so they was not in the previous list :( For example https://hu.wikinews.org/wiki/Kateg%C3%B3ria:Publik%C3%A1lt

Oh, it appears that these wikis are read-only because they're closed. So there's no problem.